com.airbnb.android.react.maps

## Class AirMapCalloutManager

- java.lang.Object
- - <any>
  - - com.airbnb.android.react.maps.AirMapCalloutManager

    public class AirMapCalloutManager
    extends <any>

### Constructor Summary

Constructors
Constructor and Description
`AirMapCalloutManager()`

### Method Summary

All Methods Instance Methods Concrete Methods
`LayoutShadowNode` `createShadowNodeInstance()`
`AirMapCallout` `createViewInstance(ThemedReactContext context)`
`java.util.Map` `getExportedCustomDirectEventTypeConstants()`
`java.lang.String` `getName()`
`void` `setTooltip(AirMapCallout view, boolean tooltip)`
`void` `updateExtraData(AirMapCallout view, java.lang.Object extraData)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AirMapCalloutManager

    public AirMapCalloutManager()

### Method Detail

#### getName

    public java.lang.String getName()

#### createViewInstance

    public AirMapCallout createViewInstance(ThemedReactContext context)

#### setTooltip

    public void setTooltip(AirMapCallout view,
                           boolean tooltip)

#### getExportedCustomDirectEventTypeConstants

    public java.util.Map getExportedCustomDirectEventTypeConstants()

#### createShadowNodeInstance

    public LayoutShadowNode createShadowNodeInstance()

#### updateExtraData

    public void updateExtraData(AirMapCallout view,
                                java.lang.Object extraData)